//===========================================================================
//
// Name:		Joker_c.c
// Function:		chat lines for Joker 
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// Author:		Bill Jukes, Mike Jukes   mike3d@mindless.com
// Editor:		
// Last update:		2/7/00
// Tab Size:		3 (real tabs)
//===========================================================================

chat "Joker"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	type "game_enter" //initiated when the bot enters the game
	{
		"Who wants to play POKER? I have all JOKERS!";
            "Now that every one is here, it's time to bring down the house!";
		"Joker here welcome all. ";
		"Keep talking, While I carve your tomb stone!";
		"I'm flattered you wore your Sunday best!";
		"Ohhh it's just began!";
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"It's not over yet ", 0,".";
		"Silly me I forgot the acid!";
		"Farewell super heroes!";
		"Play nice ", 0,", I'll be back with flowers for your graves";
		"You think this is the end of me? NOT YET, NOT YET!";
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"What's on the menu?  KILLING my favorite dish!";
		"Remember ", 0," were all friends here he he! ";
		"", 0,",You have a front row seat for your own death! ";
		"Welcome to my fun house!";	
		// 0 = bot name
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Wait a minute! I thought I was the only one cheating!";
		"For once I'm left with out a punch line!";
		" Wait I was tripped!";
		"And I was just getting started!";
		"What! The fun had just begun!";
		"Surrounded by idiots! right ", 0,".";
		// 0 = bot name
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Yesss! At the top again!";
		"More powerful than a locomotive!";
		"It's certainly not for the SQUEAMISH is it?";
		"King of heap! Top of the hill, I'm your Kill Pill!";
		"Easy kills! Like shooting ducks in a barrel";
		"Joker wins the hand!";
		// 0 = bot name
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"Last!!! back to the loonybin for me!";
		"What!! I thought we were friends!";
		"Last!! they didn't give me enough ammo!";
		"Wait!! I told them my Gun was jammed!";
		"Hey! if it wasn't for me you wouldn't be in first place!";
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Oh hit me when I am down ", 0,"! eh?";
		"I was just writing your will! ", 0,".";
		"Oh well! I will do the same to you later! ", 0,".";
		"If it wasn't for that! you wouldn't even have a frag! ", 0,".";
		"I gonna tell your mama what you did! ", 0,".";
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"That put a hole in my new suit ", 0,"!";
		"It will take more than that campy!";
		"OK you have got my attention ", 0,"!";
		"Ohhh, I'm saving something special for you ", 0,"!";
		"You have got a front row seat for your own death ", 0,"!";
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"It's not FAIR I was sooo close!";
            "There is going to be a surprise ending to this tale!";
		"Hurt's a little doesn't ", 0,"!";
		"Don't go away mad ", 0,"!";
            "Can't we, he he, talk this over ", 0,"!"; 
		"Come back! ", 0," I may lose the advantage!";
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"Hey! ", 0,"! I was here first!'";
		"Is this spot taken? ", 0,"!"; 
		"Smells like chicken!";
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"Just a slip up!.";
		"A minor set back!";
		"I wanted the elevator to go up!";
		"Watch that first step it's a lu lu!";
		"Damn shoe lace again!";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Hot stuff, coming through!";
		"I needed a tan but this is ridiculous!";
		"I have had just about enough of this!";
		"Hey,", 0," You should try the lava soup!";
            "Hey,", 0," Smells like Joker stew!";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"Dratted goo, will be the death of me!";
		"Acid? how delightful! ";
		"Oh Acid! how could I stay mad at you?";
		"Tsk - Tsk! terrible - - just terrible!";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Hey pal, Throw me a rope!";
		"Help! I can't swim! ";
		"How do you dog paddle? ";
		"Warning floating corpse! ";
		"Fish me out of the drink!";
		"Can someone get my rubber ducky?";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"Guess the last laughs on me!";
		"That was a quick exit!";
		"I was saving that rocket for you ", 0,"!";
		"Ended my life with my own hands";
		"Anyone can make a mistake";
            "Goodness, itchy trigger finger!";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"Guess the last laughs on me!";
            "Mercy! The rats are sure hungry around here";
		"Mercy! You know how much these suits cost?";
		"Oh dear, I'm gonna be sore come morning";
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"I'm flattered you were thinking of me ", 0,"!";
            "Rail-roaded again!";
		"Mercy! ", 0," right in the old pie hole!";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"Hey ", 0," I'm getting one of those for Christmas!";
		"More powerful than a locomotive! and just about as subtle.";
		"BFG I thought we were friends";
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"Nice shot for a blind man ", 0,"!";
		"Lucky shot! ", 0,"!";
		"Who, what, when where? ehh!";
		"I got news for ya ", 0,"! This isn't over yet!";
		"I see ", 0," It was just an accident!";
		"Oh? never mind! ";
            "Your really going to get it now ", 0,"!";
            "Oh yeah will just see about that one! ", 0,"!";
            "That didn't hurt a bit ", 0,"!";
            "Ha lucky shot ", 0,"!"; 
            "Behind ya ", 0,"!";
            "Over Here! ", 0,"!";
            "Here comes another one ", 0,"!";
            "Poor devil"; 
            "Look out ", 0,"!"; 
            "Your in the way!"; 
            "I can't believe it ", 0,"!";
            "This is not happening!";   

		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"We had a go of it didn't we ", 0,"!";
		"I like your style, ", 0,"!";
		"Hey! ", 0," why don't you join my team?";
		"Good shooten bucko!";
		"Your mother would be proud ", 0,"!";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"I shut that pie hole!";
		"Ho hum! I bet you didn't see that coming!";
		"Ahh rail goodness!";
		"Ha ", 0," caught you sleeping!";
		"Gave you the royal rail ", 0,"!";
		"How ironic, A slug for a slugo!";
		"WOO HOO! Bullseye!";
		"YAHOO!";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"Damn spine slowing down my blade!"
		"That is what you get for attacking and unarmed man!";
		"Humiliation is a dish best served cold!";
		"Mercy me! don't you hate when that happens?";
		"How embarrassing, for you ", 0,"!";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"I was here first", 0,"!";
		"Is this spot taken ", 0,"!";
		"Smells like ", 0," chicken!";
            "Won't move your ass ", 0," I'll move it for ya!";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self with a weapon of craters
	{
		"Sooo you found the trigger soupy!";
            "I Couldn't have done it better myself,", 0,"!";
		"We got live ones tonight!";
		"Good shotten ,", 0, "!";
		"GOD, How boring! ,", 0, "'s a complete turnip!";
		"The GOD of stupidity is shining on you tonight,", 0, "!";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{

		"I warned ya ,", 0, " BLOOD makes me crazy!";
            "Ha Ha, ,", 0, " See this is gonna be my game!";
		"Stop me ,", 0, " I'm out of control!";
		"How do you like them apples,", 0, "!";
		"Ohhh yes! it's to easy for me!";
		"Ahh the sweet smell of death!";
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		"You should be flattered I was thinking of you!";
		",", 0, " You had a front row seat to your own death!";
		"Sorry old chum, it was either me or you!";
		"Sorry ,", 0, " To many chefs kill the broth!";
		"I guess ,", 0, " you met you match?";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"WELCOME to the fun house!";
		"Life is a bitch, than I kill ya.";
		"You ever done this before? It doesn't look it.";
		"Quinn! Quinn!  get over here!";
		"Now save me the trouble and shoot your self.";
		"Ohhhh wait till they get a load of me!";
		"This should be a real pip!";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"Ohhhh wait till they get a load of me!";
		"Ahhh, your crazy!";
		"Right back at ya,", 0, "!";
		"I'm about to go loony on you!";
		"Why hello, how's things? chummmmp.";
		"The GOD of insanity is smiling at me tonight.";
		"I thought I was the only Joker here!";
		"Don't worry I've got it all under control!";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type
} //end Joker chat







